Bug 166754 - Spec conflicts python older and newer, which is bad
Spec conflicts python older and newer, which is bad
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-25 07:22 EDT by Jeff Pitman
Modified: 2013-07-02 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-04 19:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Pitman 2005-08-25 07:22:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
postgresql-python is the bane of my existence.  Whether it's in RHEL or Fedora or the Legacy stuff.  It is the only package out there that Conflicts with an earlier and later version of python.

Why does it conflict python?

That's got to be the most bizarre decision. 

But, damage has been done. Not even sure how I am going to rectify this as I try to provide multiple versions of python on the same distro.

Please, nuke this line out of the spec for FC5+ and RHEL5+.  Maybe by then I can toss the burden of repackaging postgresql just to take that line out so that depsolvers like yum get passed it.

Version-Release number of selected component (if applicable):
all, like redhat 7.3 on

How reproducible:

Steps to Reproduce:
1. cvs co postgresql 
2. vim postgresql/postgreql.spec
3. search for Conflicts

Additional info:
Comment 1 Tom Lane 2005-08-25 23:33:13 EDT
I checked with some folks who remember, and it seems this hack was needed for something-or-other 
back around the Red Hat 2.0 time frame.  I agree there's no apparent need for it now.  Will yank it next 
time there's an opportunity for a respin.
Comment 2 Tom Lane 2005-10-04 19:20:34 EDT
Done in postgresql-8.0.4-2.FC4.1.

Note You need to log in before you can comment on or make changes to this bug.